Create a redline request
curl --request POST \
--url https://formable-production.up.railway.app/api/v0/redline-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "abc123xyz",
"members": [
{
"email": "disclosingparty@example.com",
"displayName": "John Doe",
"role": "DisclosingParty"
},
{
"email": "receivingparty@example.com",
"displayName": "Jane Smith",
"role": "ReceivingParty"
}
],
"testMode": false,
"metadata": {
"subject": "Mutual NDA"
}
}
'import requests
url = "https://formable-production.up.railway.app/api/v0/redline-requests"
payload = {
"templateId": "abc123xyz",
"members": [
{
"email": "disclosingparty@example.com",
"displayName": "John Doe",
"role": "DisclosingParty"
},
{
"email": "receivingparty@example.com",
"displayName": "Jane Smith",
"role": "ReceivingParty"
}
],
"testMode": False,
"metadata": { "subject": "Mutual NDA" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: 'abc123xyz',
members: [
{
email: 'disclosingparty@example.com',
displayName: 'John Doe',
role: 'DisclosingParty'
},
{
email: 'receivingparty@example.com',
displayName: 'Jane Smith',
role: 'ReceivingParty'
}
],
testMode: false,
metadata: {subject: 'Mutual NDA'}
})
};
fetch('https://formable-production.up.railway.app/api/v0/redline-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"redlineRequestId": "abc123xyz",
"templateId": "def456uvw"
}{
"error": "templateId is required"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to perform this action"
}{
"error": "Resource not found for id abc123xyz"
}{
"error": "Internal server error"
}Redlining
Create a redline request
Creates a new redline request for a template with specified members. Each member must have an email, displayName, and role. The template must have a DOCX source file available for redlining.
POST
/
v0
/
redline-requests
Create a redline request
Authorizations
OAuth 2.0 client credentials access token, passed as a Bearer token in the Authorization header.
Body
application/json
The ID of the template to create a redline request for.
Example:
"abc123xyz"
Array of members participating in the redline request.
Minimum array length:
1Show child attributes
Show child attributes
Example:
[
{
"email": "disclosingparty@example.com",
"displayName": "John Doe",
"role": "DisclosingParty"
},
{
"email": "receivingparty@example.com",
"displayName": "Jane Smith",
"role": "ReceivingParty"
}
]
Optional flag to enable test mode for the redline request. Defaults to false.
Example:
false
Optional metadata for the redline request.
Show child attributes
Show child attributes
⌘I